package com.usky.backend.mapper;

import com.usky.backend.domain.DataRealTime;
//import com.usky.backend.domain.request.DeviceDataInfoVO;
import com.usky.backend.domain.MetricItemVo;
import com.usky.common.mybatis.core.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 实时数据表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2023-06-07
 */
@Repository
public interface DataRealTimeMapper extends CrudMapper<DataRealTime> {

//    int insertHistoryTable(@Param("dataInfo") DeviceDataInfoVO dataInfo, @Param("tableName") String tableName, @Param("curTime") LocalDateTime curTime);
    List<MetricItemVo> QueryHistoryData(@Param("deviceId") String deviceId,@Param("metric") String metric,@Param("startTime") String startTime,@Param("endTime") String endTime, @Param("tableName") String tableName);

}
