package com.usky.iot.mapper;

import com.usky.iot.domain.BaseBuild;
import com.usky.iot.domain.BaseBuildFacility;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.iot.domain.BaseBuildFacilityType;

/**
 * <p>
 * 建筑设施 Mapper 接口
 * </p>
 *
 * @author han
 * @since 2023-07-26
 */
public interface BaseBuildFacilityMapper extends CrudMapper<BaseBuildFacility> {
    BaseBuildFacilityType baseBuildFacilityTypeList(String facilityType);
    BaseBuild getBuildName(Integer buildId);
}
